%define	upstream_name	 BSD-Resource
%define upstream_version 1.2909

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    BSD process resource limit and priority functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/BSD/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
%{upstream_name} module for perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%make test

%install
%makeinstall_std

%files
%doc ChangeLog INSTALL META.json META.yml MYMETA.yml README
%{perl_vendorarch}/BSD
%{perl_vendorarch}/auto/BSD
%{_mandir}/man*/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.290.900-2.mga6
+ Revision: 1022806
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 1.290.900-1.mga6
+ Revision: 923688
- update to 1.2909

* Fri Jun 26 2015 tv <tv> 1.290.700-8.mga6
+ Revision: 844745
- rebuild for soname-ifed perl

* Wed Jun 24 2015 shlomif <shlomif> 1.290.700-7.mga6
+ Revision: 841931
- Rebuild for the new perl-5.22.0

* Sun Oct 19 2014 umeabot <umeabot> 1.290.700-6.mga5
+ Revision: 788892
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.290.700-5.mga5
+ Revision: 741626
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.290.700-4.mga5
+ Revision: 683596
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.290.700-3.mga5
+ Revision: 630827
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.290.700-2.mga4
+ Revision: 530131
- Mageia 4 Mass Rebuild

* Fri Jul 19 2013 sander85 <sander85> 1.290.700-1.mga4
+ Revision: 456263
- update to 1.2907

* Wed Jun 26 2013 jquelin <jquelin> 1.290.500-1.mga4
+ Revision: 446853
- update to 1.2905

* Wed May 29 2013 jquelin <jquelin> 1.290.400-9.mga4
+ Revision: 430553
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.290.400-8.mga3
+ Revision: 363358
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 1.290.400-7.mga3
+ Revision: 250311
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 1.290.400-6.mga2
+ Revision: 103586
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.290.400-5.mga1
+ Revision: 32729
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.290.400-4.mga1
+ Revision: 29818
- mageia rebuild
- imported package perl-BSD-Resource


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.290.400-4mdv2011.0
+ Revision: 564360
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 1.290.400-3mdv2011.0
+ Revision: 555688
- rebuild

* Tue Jul 20 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.290.400-2mdv2011.0
+ Revision: 555440
- rebuild

* Mon Mar 15 2010 Jérôme Quelin <jquelin@mandriva.org> 1.290.400-1mdv2010.1
+ Revision: 519947
- update to 1.2904

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - update to new version 1.2903

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.290.300-2mdv2010.0
+ Revision: 405787
- bumping mkrel to force rebuild
- rebuild

* Sun Jul 12 2009 Jérôme Quelin <jquelin@mandriva.org> 1.290.300-1mdv2010.0
+ Revision: 395064
- update to 1.2903
- using %%perl_convert_version
- fixed license field

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.29-3mdv2009.1
+ Revision: 351680
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.29-2mdv2009.0
+ Revision: 223569
- rebuild

* Tue Jan 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.29-1mdv2008.1
+ Revision: 159931
- update to new version 1.29

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 1.28-3mdv2008.1
+ Revision: 151466
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 09:25:58 (63274)
- rebuild

* Sat Oct 07 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-06 07:11:30 (62910)
- Import perl-BSD-Resource

* Tue May 30 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.28-1mdv2007.0
- New release 1.28

* Wed May 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.26-1mdk
- 1.26

* Wed Apr 12 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.25-2mdk
- better source URL

* Wed Apr 12 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.25-1mdk
- 1.25

* Wed Dec 28 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.24-4mdk
- %%mkrel
- fix optimisations
- fix directory ownership
- better summary
- rpmbuildupdate aware
- spec cleanup

* Fri Jun 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.24-3mdk
- Rebuild

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.24-2mdk
- Rebuild for new perl

* Tue Apr 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.24-1mdk
- 1.24
- disable test

